Quantcast
Channel: MicroStation Programming Forum - Recent Threads
Viewing all articles
Browse latest Browse all 7260

RE: [V8i VBA] Extracting outer lines

$
0
0

Sorry I was trying to illustrate what I wanted to do which is to create a region that excludes those interior shapes.

I've been trying to use the method GetIntersectionShapesFromRegion but I'm not 100% sure this is the right method.

The code I've tried to write is something like:

  Dim eenum As ElementEnumerator
    Dim outlineElement As ClosedElement
    Set eenum = rect.GetIntersectionShapesFromRegion(elements(), Nothing)
    While eenum.MoveNext
      Set outlineElement = eenum.Current
      ActiveModelReference.AddElement outlineElement
    Wend
    RedrawAllViews
    

Viewing all articles
Browse latest Browse all 7260

Trending Articles



<script src="https://jsc.adskeeper.com/r/s/rssing.com.1596347.js" async> </script>